User Tools

Site Tools


faqs:solve-bootstrap-css-conflict

How do I solve Bootstrap CSS conflicts?

Joomla 3 ships with Bootstrap v2.3 but many of the template designers develop their templates using Bootstrap v3.x and there is no backward compatibility between the two releases. However, some of the template designers include a setting called “Legacy” to solve most but not all of the CSS conflicts.

JoomBri depends on Joomla Bootstrap framework and as a result of the above scenario, some of the pages will have CSS conflicts. Although, this issue is not from our end, some of our members do not understand this. We have taken utmost care to solve those conflicts and you are requested to follow the steps given below.

Requirements:

  • JoomBri Freelance v2.0.3 and above.
  • Download namespaced Bootstrap from here.

Steps to Follow:

  1. Extract the zip file to <root>/templates/YOUR_TEMPALTE/css/jui. You many need to create the folder jui if not present.
  2. Refresh the frontpage to see the conflicts are solved.

So simple, isn't it?

faqs/solve-bootstrap-css-conflict.txt · Last modified: 2016/03/28 07:29 by siteadmin